Products Related

Returns a list of changes of a product.

This is an internal route and doesn’t necessarily follow API versioning.

get
https://api.migros.ch/migros/products/v8/debug/products/{id}/versions

Path Parameters

idstringrequired

Response

200

Returned when successful

get/migros/products/v8/debug/products/{id}/versions
 
200

Returns a specific version of a product.

The accepted parameters are the same as for the /products route.

This is an internal route and doesn’t necessarily follow API versioning.

get
https://api.migros.ch/migros/products/v8/debug/products/{id}/versions/{date}

Path Parameters

idstringrequired
datestring(date-time)required

Date and time to fetch product, e.g. 2018-04-16T10:15:40+02:00.

Response

Returned when successful

get/migros/products/v8/debug/products/{id}/versions/{date}
 

Summarizes the Eiger availability data by per product and distribution center

To send the product id in the request body, they need to be sent as json: i.e. {“product_ids”:[“100000000000”]}

post
https://api.migros.ch/migros/products/v8/products/availability-summarized

Query Parameters

plant_profilesstringrequired

A list of comma separated plant profiles.

Response

200 application/json

Returned when successful

post/migros/products/v8/products/availability-summarized
 
200 application/json

Find all values of a feature starting with a prefix.

Find all values of a feature starting with a prefix.

get
https://api.migros.ch/migros/products/v8/products/features/{name}

Query Parameters

prefixstring

Restrict the values to those starting with this prefix.

limitinteger

Only return the limit most frequent hits.

Default:10

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Path Parameters

namestringrequired

The feature label_code to get values of

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

200 application/json

Returned when successful

countinteger
valuestring
value_codestring
get/migros/products/v8/products/features/{name}
 
200 application/json

Returns whether a store lists a product.

You can limit the output to specific store ids.
Additionally, you can filter out products that are not listed in a store.

You can omit the store ids if you specify any product ids. However, that does not work together with paging.

get
https://api.migros.ch/migros/products/v8/products/listed

Query Parameters

idsstring

A comma separated list or an array of product ids.

storesstring

A comma separated list or an array of store ids.

listedstring

Filters the result based on listed flags. This filter is applied even when the ids parameter is used.

Allowed values:not-current-discount-weekcurrent-discount-weeknext-discount-weekcurrent-or-next-discount-week

limitinteger

Maximum number of results. The maximum value is 150000

Default:150000

>= 0

offsetinteger

Result set offset.

Default:0

>= 0

Response

application/json

Returned when successful

Information about listed products.

cost_centersarray[object]
Show Child Parameters
idstringrequired

Listed information of the product per store.

get/migros/products/v8/products/listed
 
application/json